Storefront
Themes Templates Retrieve
Retrieve a list of templates in an existing theme.
Authorization
oauth2 themes:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: themes:read
Path Parameters
id*integer
A unique integer value identifying this theme.
Header Parameters
X-29next-API-Version*string
Default
"unstable"Value in
"unstable"Response Body
application/json
curl -X GET "https://example.29next.store/api/admin/themes/0/templates/" \
-H "X-29next-API-Version: unstable" \
-H "Authorization: Bearer "{
"content": "string",
"file": "http://example.com",
"name": "string",
"theme": 0
}